spring:
  application:
    name: base

  jackson:
    default-property-inclusion: non-null
    serialization:
      write-dates-as-timestamps: false

  datasource:
    url: jdbc::h2:mem:baseproject
    username: user
    password: pass
    driver-class-name: org.h2.Driver
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect





server:
  port: 8080

  compression:
    enabled: true
    mime-types: text/html,text/css,application/javascript,application/json

logging:
  level:
    root: info
    org:
      springframework:
        web: debug

